Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 99592 - hacking the DOM feedback
: hacking the DOM feedback
Product: Developer Documentation
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: P4 normal (vote)
: ---
Assigned To: Fabian Guisset
: James Cox
Depends on:
  Show dependency treegraph
Reported: 2001-09-14 05:14 PDT by Axel Hecht
Modified: 2016-02-17 00:31 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description Axel Hecht 2001-09-14 05:14:49 PDT
Here goes some feedback to the DOM hacking page.
First of all, link this bug ;-)Chapter 1, (I tend to call it nsINutshell),
should at least be a separate doc.
If we don't have such a document for XPCOM already.
1.B misses reference counting alltogether. There is discussion of lifetime and 
interface pointers, probably that's good, but link to the XPCOM ownership guide.
1.C: nsCOMPtrs are an extension of C++ auto_ptr, to deal with decreasing the
reference count instead of just deleating the object.
> The first choice is to use a "Getter", the second choice is to use a static
> cast on the "this" pointer.
This isn't really a choice. Those are two completely different problems, once 
again, probably extensivly handled in the ownership guide. (That getters addref
by definition, for example).
1.E.b: say something about the uuid. I'm not sure if it's good to have the 
actual one you got for nsIFabian, but either way, you should say what you're 
1.E.c: Makefiles have mandatory tab use in just one place, that's one tab for
commands for a rule. All other whitespace is white.
How about a typical line of REQUIRES for DOM code?

'nuff said for this time.
Comment 1 Fabian Guisset 2001-09-16 07:49:13 PDT
not checked in but here are the changes I did
- split in two: xpcom intro vs classinfo. Further doc will be added after the
classinfo doc
- fixed some issues Pike raised, specifically 1.B, 1.C, both 1.E. Still need to
add the links. 1.D will take longer.
Also addressing dbradley's comments.
I hope to be done by friday.
Comment 2 Fabian Guisset 2001-09-28 17:12:14 PDT
Checked in. The XPCOM intro is now at and the class info doc at
Comment 3 Fabian Guisset 2002-02-07 09:33:11 PST
Triaging my bugs. The main problems have been fixed, leaving this bug open
anyway, but marking P4 and future. If there are more issues raised I'll fix them
as they come.
Comment 4 James Cox 2002-04-01 13:10:04 PST
accepting QA for mozilla developer docs.

some of these bugs have been around for a _long_ time. Reporters, would you
please review the bugs, see if the issues have been resolved, and close bugs

I will do a full review of all bugs not touched in one week (8th April). 


Comment 5 Fabian Guisset 2002-04-02 01:06:48 PST
Tweaking URL to the XPCOM doc (I doubt anyone's going to report bugs for the
DOMClassInfo doc ;-). 
I'd like to keep this bug open. Thanks imajes for volunteering, this is great!
Comment 6 Phil Ringnalda (:philor) 2007-04-02 21:59:24 PDT
Well, since no new issues were raised over the last five years, I guess you nailed it perfectly.

Note You need to log in before you can comment on or make changes to this bug.